package com.hzya.frame.plugin.cinvoice.assembler;

import com.alibaba.fastjson.JSONObject;

/**
 * @Description 客运汽车（a3）
 * @Author xiangerlin
 * @Date 2025/4/21 11:41
 **/
public class BusInvoiceAssembler implements ParamAssembler{

    private JSONObject jsonObject;

    public BusInvoiceAssembler(JSONObject jsonObject) {
        this.jsonObject = jsonObject;
    }

    /**
     * 组装参数
     *
     * @return
     */
    @Override
    public JSONObject assembleParam() {
        JSONObject param = new JSONObject();
        // 发票代码，必填
        param.put("fpdm", "");
        // 发票号码，必填
        param.put("fphm", "");
        // 乘车日期/开票时间，格式为 yyyy-MM-dd，必填
        param.put("ccrq", "");
        // 乘车时间，格式为 HH:mm，非必填
        param.put("ccsj", "");
        // 出发地，非必填
        param.put("cfd", "");
        // 到达地，非必填
        param.put("ddd", "");
        // 乘车人姓名，非必填
        param.put("ccrxm", "");
        // 身份证号，非必填
        param.put("sfzh", "");
        // 金额，必填
        param.put("je", "");
        // 发票消费类型，非必填
        param.put("fpxflx", "");
        return param;
    }
}
